PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::RectangularMesh2D::Element Class Reference

Represent FEM-like element in RectangularMesh. More...

`#include <plask/mesh/rectangular2d.hpp>`

## Public Member Functions
| Element (const RectangularMesh2D &mesh, std::size_t index0, std::size_t index1)
| Construct element using mesh and element indexes.
| Element (const RectangularMesh2D &mesh, std::size_t elementIndex)
| Construct element using mesh and element index.
std::size_t | getIndex0 () const
std::size_t | getIndex1 () const
std::size_t | getLowerIndex0 () const
std::size_t | getLowerIndex1 () const
double | getLower0 () const
double | getLower1 () const
std::size_t | getUpperIndex0 () const
std::size_t | getUpperIndex1 () const
double | getUpper0 () const
double | getUpper1 () const
double | getSize0 () const
double | getSize1 () const
Vec< 2, double > | getSize () const
Vec< 2, double > | getMidpoint () const
std::size_t | getIndex () const
Box2D | toBox () const
bool | contains (Vec< 2, double > p) const
| Check if point `p` is included in rectangle represented by `this` element.
double | getVolume () const
double | getArea () const
std::size_t | getLoLoIndex () const
std::size_t | getLoUpIndex () const
std::size_t | getUpLoIndex () const
std::size_t | getUpUpIndex () const
Vec< 2, double > | getLoLo () const
Vec< 2, double > | getLoUp () const
Vec< 2, double > | getUpLo () const
Vec< 2, double > | getUpUp () const

## Detailed Description

Represent FEM-like element in RectangularMesh.

Definition at line 62 of file rectangular2d.hpp.

## Constructor & Destructor Documentation

## ◆ Element() [1/2]

plask::RectangularMesh2D::Element::Element | ( | const RectangularMesh2D & | mesh,
|  | std::size_t | index0,
|  | std::size_t | index1
| ) |  |
| inline

Construct element using mesh and element indexes.

Parameters

  mesh | mesh, this element is valid up to time of this mesh life
  index0,index1 | axis 0 and 1 indexes of element (equal to low corrner mesh indexes of element)

Definition at line 73 of file rectangular2d.hpp.

## ◆ Element() [2/2]

plask::RectangularMesh2D::Element::Element | ( | const RectangularMesh2D & | mesh,
|  | std::size_t | elementIndex
| ) |  |
| inline

Construct element using mesh and element index.

Parameters

  mesh | mesh, this element is valid up to time of this mesh life
  elementIndex | index of element

Definition at line 80 of file rectangular2d.hpp.

## Member Function Documentation

## ◆ contains()

bool plask::RectangularMesh2D::Element::contains | ( | Vec< 2, double > | p | ) | const
| inline

Check if point `p` is included in rectangle represented by `this` element.

Parameters

  p | point to check

Returns
  `true` only if `p` is included in `this`

Definition at line 139 of file rectangular2d.hpp.

## ◆ getArea()

double plask::RectangularMesh2D::Element::getArea | ( |  | ) | const
| inline

Returns
  total area of this element

Definition at line 145 of file rectangular2d.hpp.

## ◆ getIndex()

std::size_t plask::RectangularMesh2D::Element::getIndex | ( |  | ) | const
| inline

Returns
  index of this element

Definition at line 129 of file rectangular2d.hpp.

## ◆ getIndex0()

std::size_t plask::RectangularMesh2D::Element::getIndex0 | ( |  | ) | const
| inline

Returns
  tran index of the element

Definition at line 87 of file rectangular2d.hpp.

## ◆ getIndex1()

std::size_t plask::RectangularMesh2D::Element::getIndex1 | ( |  | ) | const
| inline

Returns
  vert index of the element

Definition at line 90 of file rectangular2d.hpp.

## ◆ getLoLo()

Vec< 2, double > plask::RectangularMesh2D::Element::getLoLo | ( |  | ) | const
| inline

Returns
  position of the lower left corner of this element

Definition at line 160 of file rectangular2d.hpp.

## ◆ getLoLoIndex()

std::size_t plask::RectangularMesh2D::Element::getLoLoIndex | ( |  | ) | const
| inline

Returns
  index of the lower left corner of this element

Definition at line 148 of file rectangular2d.hpp.

## ◆ getLoUp()

Vec< 2, double > plask::RectangularMesh2D::Element::getLoUp | ( |  | ) | const
| inline

Returns
  position of the upper left corner of this element

Definition at line 163 of file rectangular2d.hpp.

## ◆ getLoUpIndex()

std::size_t plask::RectangularMesh2D::Element::getLoUpIndex | ( |  | ) | const
| inline

Returns
  index of the upper left corner of this element

Definition at line 151 of file rectangular2d.hpp.

## ◆ getLower0()

double plask::RectangularMesh2D::Element::getLower0 | ( |  | ) | const
| inline

Returns
  tran coordinate of the left edge of the element

Definition at line 99 of file rectangular2d.hpp.

## ◆ getLower1()

double plask::RectangularMesh2D::Element::getLower1 | ( |  | ) | const
| inline

Returns
  vert coordinate of the bottom edge of the element

Definition at line 102 of file rectangular2d.hpp.

## ◆ getLowerIndex0()

std::size_t plask::RectangularMesh2D::Element::getLowerIndex0 | ( |  | ) | const
| inline

Returns
  tran index of the left edge of the element

Definition at line 93 of file rectangular2d.hpp.

## ◆ getLowerIndex1()

std::size_t plask::RectangularMesh2D::Element::getLowerIndex1 | ( |  | ) | const
| inline

Returns
  vert index of the bottom edge of the element

Definition at line 96 of file rectangular2d.hpp.

## ◆ getMidpoint()

Vec< 2, double > plask::RectangularMesh2D::Element::getMidpoint | ( |  | ) | const
| inline

Returns
  position of the middle of the element

Definition at line 126 of file rectangular2d.hpp.

## ◆ getSize()

Vec< 2, double > plask::RectangularMesh2D::Element::getSize | ( |  | ) | const
| inline

Returns
  vector indicating size of the element

Definition at line 123 of file rectangular2d.hpp.

## ◆ getSize0()

double plask::RectangularMesh2D::Element::getSize0 | ( |  | ) | const
| inline

Returns
  size of the element in the tran direction

Definition at line 117 of file rectangular2d.hpp.

## ◆ getSize1()

double plask::RectangularMesh2D::Element::getSize1 | ( |  | ) | const
| inline

Returns
  size of the element in the vert direction

Definition at line 120 of file rectangular2d.hpp.

## ◆ getUpLo()

Vec< 2, double > plask::RectangularMesh2D::Element::getUpLo | ( |  | ) | const
| inline

Returns
  position of the lower right corner of this element

Definition at line 166 of file rectangular2d.hpp.

## ◆ getUpLoIndex()

std::size_t plask::RectangularMesh2D::Element::getUpLoIndex | ( |  | ) | const
| inline

Returns
  index of the lower right corner of this element

Definition at line 154 of file rectangular2d.hpp.

## ◆ getUpper0()

double plask::RectangularMesh2D::Element::getUpper0 | ( |  | ) | const
| inline

Returns
  tran coordinate of the right edge of the element

Definition at line 111 of file rectangular2d.hpp.

## ◆ getUpper1()

double plask::RectangularMesh2D::Element::getUpper1 | ( |  | ) | const
| inline

Returns
  vert coordinate of the top edge of the element

Definition at line 114 of file rectangular2d.hpp.

## ◆ getUpperIndex0()

std::size_t plask::RectangularMesh2D::Element::getUpperIndex0 | ( |  | ) | const
| inline

Returns
  tran index of the right edge of the element

Definition at line 105 of file rectangular2d.hpp.

## ◆ getUpperIndex1()

std::size_t plask::RectangularMesh2D::Element::getUpperIndex1 | ( |  | ) | const
| inline

Returns
  vert index of the top edge of the element

Definition at line 108 of file rectangular2d.hpp.

## ◆ getUpUp()

Vec< 2, double > plask::RectangularMesh2D::Element::getUpUp | ( |  | ) | const
| inline

Returns
  position of the upper right corner of this element

Definition at line 169 of file rectangular2d.hpp.

## ◆ getUpUpIndex()

std::size_t plask::RectangularMesh2D::Element::getUpUpIndex | ( |  | ) | const
| inline

Returns
  index of the upper right corner of this element

Definition at line 157 of file rectangular2d.hpp.

## ◆ getVolume()

double plask::RectangularMesh2D::Element::getVolume | ( |  | ) | const
| inline

Returns
  total area of this element

Definition at line 142 of file rectangular2d.hpp.

## ◆ toBox()

Box2D plask::RectangularMesh2D::Element::toBox | ( |  | ) | const
| inline

Returns
  this element as rectangular box

Definition at line 132 of file rectangular2d.hpp.

The documentation for this class was generated from the following file:

- plask/mesh/rectangular2d.hpp